Subject: Re: linux-next: build failure after merge of the hyperv tree

From: Wei Liu <[email-masked]>
Date: Mon, 7 Aug 2023 04:46:53 +0000

On Mon, Aug 07, 2023 at 02:22:38PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the hyperv tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/pci/controller/pci-hyperv.o: warning: objtool: .altinstr_replacement+0x0: weirdly overlapping alternative! 11 != 6
> drivers/hv/hv_balloon.o: warning: objtool: .altinstr_replacement+0x0: weirdly overlapping alternative! 11 != 6
> drivers/hv/hv_vmbus.o: warning: objtool: .altinstr_replacement+0x3: weirdly overlapping alternative! 10 != 5
> vmlinux.o: warning: objtool: .altinstr_replacement+0x633: weirdly overlapping alternative! 11 != 6
> incomplete ORC unwind tables in file: vmlinux
> Failed to sort kernel tables
> 
> I have no idea what caused this.
> 

/me scratches head.

> I have used the hyperv tree from next-20230804 for today.

I've reverted that series from my tree. Thanks for the heads up.

Thanks,
Wei.